# Class ExpressionBuilder

java.lang.Object
org.apache.el.lang.ExpressionBuilder

All Implemented Interfaces:
  `org.apache.el.parser.NodeVisitor`

public final class ExpressionBuilder extends Object implements org.apache.el.parser.NodeVisitor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpressionBuilder(String expression, ELContext ctx)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MethodExpression`
  `createMethodExpression(Class<?> expectedReturnType, Class<?>[] expectedParamTypes)`
  `static org.apache.el.parser.Node`
  `createNode(String expr)`
  `ValueExpression`
  `createValueExpression(Class<?> expectedType)`
  `void`
  `visit(org.apache.el.parser.Node node)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExpressionBuilder

    public ExpressionBuilder(String expression, ELContext ctx) throws ELException
    Throws:
      `ELException`

- ## Method Details

  - ### createNode

    public static org.apache.el.parser.Node createNode(String expr) throws ELException
    Throws:
      `ELException`

  - ### visit

    public void visit(org.apache.el.parser.Node node) throws ELException
    Specified by:
      `visit` in interface `org.apache.el.parser.NodeVisitor`
    Throws:
      `ELException`

  - ### createValueExpression

    public ValueExpression createValueExpression(Class<?> expectedType) throws ELException
    Throws:
      `ELException`

  - ### createMethodExpression

    public MethodExpression createMethodExpression(Class<?> expectedReturnType, Class<?>[] expectedParamTypes) throws ELException
    Throws:
      `ELException`